# grapho - documentation compiler

I write documentation in markdown.
Many people don't like to read markdown.
`md2html` converts markdown into an HTML page which i can publish directly.
`md2tex` converts marktown into a TEX document, which i compile into a professional-academia-looking PDF using `pdflatex`.

## Usage

These are AWK scripts.
The input markdown goes into stdin.
The output document comes out of stdout.

Examples:

```
md2html < README.md > README.html
firefox README.html

md2tex < README.md > README.tex
pdflatex README.tex
```

If the awk option `stylesheet` is given, the HTML document can made prettier with external CSS.

```
awk -v stylesheet='/style.css' -f md2html < README.md
```

## Supported constructs

- Headlines up to level 3
- Paragraphs
- Bold, italic and inline monospace
- Image figures if they are in the same folder
- Code listings
- URL references
- Lists

## Not supported

- Tables
- More than 3 levels of nested headlines
- Images from an url
- Inline images
- Unicode characters (im german, maybe i will add it for umlauts)
